html.lenis, html.lenis body {
    height: auto;
  }
  
  .lenis.lenis-smooth {
    scroll-behavior: auto !important;
  }
  
  .lenis.lenis-smooth [data-lenis-prevent] {
    overscroll-behavior: contain;
  }
  
  .lenis.lenis-stopped {
    overflow: hidden;
  }
  
  .lenis.lenis-smooth iframe {
    pointer-events: none;
  }

  body{
    background-color: var(--rouge);
  }
  img{
    object-fit: cover;
  }
 
   /* STYLE DE LA BARRE DE NAVIGUATION */


  .nav-bar-fixed{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 5;
  }
  .nav-bar-fixed nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 0px;
  }
  .nav-bar-fixed nav .btn-wrapper button{
    color: var(--noir);
  }
  .nav-bar-fixed nav .logo-wrapper img{
    width: 215px;
    height: 30px;
    object-fit: cover;
  }
  .nav-bar-fixed nav .hamburger{
    width: 3.75rem;
    height: 3.75rem;
    padding: 10px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-color: var(--blanc);
    cursor: pointer;
  }
  .nav-bar-fixed nav .hamburger .line{
    width: 100%;
    height: 2px;
    margin: 2px 0px;
    background-color: var(--noir);
  }
  .nav-bar-fixed nav .btn-wrapper button{
    cursor: pointer;
  }
  @media screen and (max-width: 992px){
    .nav-bar-fixed nav .btn-wrapper{
      display: none;
    }
  }
  @media screen and (max-width: 481px){
    .nav-bar-fixed nav .logo-wrapper img{
      width: 185px;
      height: 25px;
    }
  }
  @media screen and (max-width: 350px){
    .nav-bar-fixed nav .logo-wrapper img{
      width: 145px;
      height: 20px;
    }
  }
  @media screen and (max-width: 250px){
    .nav-bar-fixed nav .logo-wrapper{
      display: none;
    }
  }


  .nav-menu-wrapper{
    position: fixed;
    top: 0;
    left: -100%;
    z-index: 999;
    background: var(--blanc);
    color: var(--noir);
    padding: var(--margin-top-bottom);
    height: 100vh;
    width: 40%;
    border-radius: 0 var(--border-radius) 0  0;
  }
  .nav-menu-wrapper .nav-menu{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
  }
  .nav-menu-wrapper .nav-menu .en-tete{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  .nav-menu-wrapper .nav-menu .en-tete .logo-wrapper img{
    width: 157px;
    height: 22px;
  }
  .nav-menu-wrapper .nav-menu .en-tete .close{
    cursor: pointer;
  }
  .nav-menu-wrapper .nav-menu .en-tete .close .line{
    width: 40px;
    height: 2px;
    margin: 5px 0;
    background-color: var(--noir);
  }
  .nav-menu-wrapper .nav-menu .en-tete .panier-icon{
    cursor: pointer;
    position: relative;
  }
  .nav-menu-wrapper .nav-menu .en-tete .panier-icon .nb-panier-wrapper{
    position: absolute;
    top: 100%;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background: var(--rouge);
    color: var(--blanc);
    display: flex;
    font-size: var(--p);
    justify-content: center;
    align-items: center;
  }
  @media screen and (max-width: 350px){
    .nav-menu-wrapper .nav-menu .en-tete .panier-icon .nb-panier-wrapper{
      width: 20px;
      height: 20px;
    }
  }
  .nav-menu-wrapper .nav-menu .en-tete .panier-icon img{
    width: 28px;
    height: 28px;
  }
  .nav-menu-wrapper .nav-menu .links-wrapper{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .nav-menu-wrapper .nav-menu .links-wrapper ul li{
    text-align: center;
    font-size: var(--menu-li);
    margin: var(--margin-top-bottom) 0;
    overflow: hidden;
    cursor: pointer;
  }
  .nav-menu-wrapper .nav-menu .links-wrapper ul li span{
    display: inline-flex;
  }
  .nav-menu-wrapper .nav-menu .pied{
    text-align: center;
    width: 100%;
  }
  .nav-menu-wrapper .nav-menu .pied p{
    margin-bottom: var(--margin-top-bottom);
    cursor: pointer;
  }
  .nav-menu-wrapper .nav-menu .pied button{
    background-color: var(--noir);
    color: var(--blanc);
    width: 90%;
    cursor: pointer;
  }

  @media screen and (max-width: 992px){
    .nav-menu-wrapper{
      width: 100%;
      border-radius: 0 0 0  0;
    }
    .nav-menu-wrapper .nav-menu .pied button{
      width: 50%;
    }
  }
  
  @media screen and (max-width: 481px){
    .nav-menu-wrapper .nav-menu .pied button{
      width: 100%;
    }
  }
  
  @media screen and (max-width: 350px){
    .nav-menu-wrapper .nav-menu .en-tete .logo-wrapper img{
      width: 100px;
      height: 14px;
    }
    .nav-menu-wrapper .nav-menu .en-tete .panier-icon img{
      width: 20px;
      height: 20px;
    }
  }
  /* STYLE DE LA BARRE DE NAVIGUATION */

  /* Alerte supression du panier */

  .custom-alert-wrapper{
    z-index: 1001;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    display: none;
    padding: var(--margin-top-bottom);
    background-color: var(--noir);
    color: var(--blanc);
  }
  .custom-alert-wrapper.show{
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .custom-alert-wrapper .close-wrapper{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    border-radius: 50%;
    background-color: var(--blanc);
    margin-left: var(--margin-top-bottom);
    cursor: pointer;
  }
  .custom-alert-wrapper .close-wrapper img{
    width: 15px;
    height: 15px;
  }
  /* Alerte supression du panier */



  /* SECTION RECAP PANIER */

  .panier-section{
    padding-top: 10rem;
    padding-bottom: var(--margin-section);
    color: var(--blanc);
    display: none;
  }
  .panier-section .recap-panier-row{
    justify-content: center;
    align-items: center;
    text-align: center;
    margin-bottom: var(--margin-section);
  }
  .panier-section .recap-panier-row div{
    margin-bottom: var(--margin-top-bottom);
  }
  .panier-section .recap-panier-row .titre-wrapper h1{
    font-size: var(--h3);
  }
  .panier-section .recap-abonnement-row{
    justify-content: center;
    margin-bottom: var(--margin-section);
  }
  .panier-section .recap-abonnement-row .recap-abonnement-col{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
  }
  .panier-section .recap-abonnement-row .left-wrapper img{
    width: 100%;
    height: 25rem;
    border-radius: var(--border-radius);
  }
  .panier-section .recap-abonnement-row .right-wrapper div{
    margin-bottom: var(--margin-top-bottom);
  }
  .panier-section .recap-abonnement-row .right-wrapper .titre-wrapper h2{
    font-size: var(--h3);
  }
  .panier-section .recap-abonnement-row .right-wrapper p{
    font-size: var(--h5);
  }
  .panier-section .recap-abonnement-row .right-wrapper .btn-wrapper{
    width: 65%;
  }
  .panier-section .recap-abonnement-row .right-wrapper .btn-wrapper button{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    color: var(--noir);
    cursor: pointer;
  }
  .panier-section .recap-abonnement-row .right-wrapper .btn-wrapper button .circle-arrow{
    background-color: var(--rouge);
    width: 40px;
    height: 40px;
    border-radius: 50%;
    padding: 5px;
    margin: 0 0;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  @media screen and (max-width: 992px){
    .panier-section .recap-abonnement-row .right-wrapper .btn-wrapper{
        width: 100%;
      }
  }
  @media screen and (max-width: 768px){
    .panier-section .recap-abonnement-row .left-wrapper{
        margin-bottom: var(--margin-top-bottom);
    }
  }
  @media screen and (max-width: 481px){
    .panier-section .recap-abonnement-row .left-wrapper img{
      height: 20rem;
    }
    .panier-section .recap-panier-row{
      margin-bottom: var(--margin-top-bottom);
    }
    .panier-section{
      padding-top: 8rem;
    }
  }


  .line-row{
    justify-content: center;
    margin-bottom: var(--margin-top-bottom);
  }
  .line-row .line-col{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
  }
  .line-row .line-col .flex-end-wrapper{
    display: flex;
    justify-content: flex-end;
  }
  .checkbox-row{
    margin-bottom: var(--margin-section);
  }
  .checkbox-row .checkbox-col form{
    display: flex;
    justify-content: flex-start;
    align-items: center;
  }
  .checkbox-row .checkbox-col form input{
    margin-right: var(--margin-top-bottom);
  }

.checkbox-row .checkbox-col .checkbox-form-wrapper form input[type="checkbox"] {
    display: none;
}

.checkbox-row .checkbox-col .checkbox-form-wrapper form label {
    position: relative;
    display: inline-block;
    padding-left: var(--m-padding);
    cursor: pointer;
    font-size: var(--p);
}

.checkbox-row .checkbox-col .checkbox-form-wrapper form label::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 30px;
    height: 30px;
    border: 2px solid var(--blanc);
    background-color: transparent;
    transition: background-color 0.3s, border-color 0.3s;
}

.checkbox-row .checkbox-col .checkbox-form-wrapper form input[type="checkbox"]:checked + label::before {
    background-color: var(--blanc);
}

.checkbox-row .checkbox-col .checkbox-form-wrapper form input[type="checkbox"]:checked + label::after {
    content: '';
    position: absolute;
    left: 8px;
    top: 10px;
    width: 20px;
    height: 15px;
    background-image: url('../asset/coche.svg');
    background-size: cover;
}
.btn-valider-row .btn-valider-col .btn-wrapper .disable{
    opacity: 0.5;
    cursor: default;
}

.btn-valider-row .btn-valider-col .btn-wrapper button{
    color: var(--rouge);
    cursor: pointer;
}




  @media screen and (max-width: 768px){
    .line-row .line-col{
        justify-content: space-between;
    }
  }
 /* SECTION RECAP PANIER */ 
  

/* Section panier vide */

.panier-vide-section{
  min-height: 100vh;
  padding-top: 12rem;
  padding-bottom: var(--margin-section);
  height: auto;
    display: none;
    justify-content: center;
    align-items: center;
}
.panier-vide-section .panier-vide-row{
    justify-content: center;
    align-items: center;
    text-align: center;
    color: var(--blanc);
}
.panier-vide-section .panier-vide-row .titre-wrapper{
    margin-bottom: var(--margin-top-bottom);
}
.panier-vide-section .panier-vide-row .btn-wrapper-col{
  display: flex;
  justify-content: center;
  align-items: center;
}
.panier-vide-section .panier-vide-row .btn-wrapper-col .btn-wrapper{
  margin: 0 var(--margin-section);
}
.panier-vide-section .panier-vide-row .btn-wrapper-col button{
    color: var(--noir);
    cursor: pointer;
}

@media screen and (max-width: 768px){
  .panier-vide-section .panier-vide-row .btn-wrapper-col .btn-wrapper{
    margin: 0 var(--margin-top-bottom);
  }
}

@media screen and (max-width: 481px){
    .panier-vide-section .panier-vide-row .btn-wrapper-col button{
        margin-right: 0;
        margin-bottom: var(--m-padding);
    }
    .panier-vide-section .panier-vide-row .btn-wrapper-col{
      display: flex;
      justify-content: center;
      flex-direction: column;
    }
}

/* Section panier vide */
